summaryrefslogtreecommitdiff
path: root/public/once/opendkim
diff options
context:
space:
mode:
Diffstat (limited to 'public/once/opendkim')
-rwxr-xr-xpublic/once/opendkim20
1 files changed, 20 insertions, 0 deletions
diff --git a/public/once/opendkim b/public/once/opendkim
new file mode 100755
index 0000000..fb088c8
--- /dev/null
+++ b/public/once/opendkim
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -eu
+
+smtphost="$1"
+
+if [ -f /etc/dkimkeys/mail.private ]; then
+ printf '%s: %s %s\n' "$0" \
+ "dkim key file /etc/dkimkeys/mail.private" \
+ "already exists! Aborting..." >&2
+ exit 2
+fi
+
+opendkim-genkey -r -S -v -b 2048 -D /etc/dkimkeys -d $smtphost -s mail
+chown -R opendkim:opendkim /srv/etc/dkimkeys
+
+mkdir -p -m o-rwx /var/spool/postfix/opendkim
+chown -R opendkim:opendkim /var/spool/postfix/opendkim
+
+usermod --group opendkim --append postfix